﻿using AntDesign;
using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Components.Authorization;
using XF.Common.Core.VM;

namespace XF.Common.Pages.User
{
    public partial class Login
    {
        private readonly LoginParamsType _model = new LoginParamsType();

        [Inject] public NavigationManager NavigationManager { get; set; }

        //[Inject] public AuthenticationStateProvider AuthenticationStateProvider { get; set; }

        [Inject] public MessageService Message { get; set; }

        /// <summary>
        /// 处理登陆
        /// </summary>
        /// <returns></returns>
        public async Task HandleSubmit()
        {
            var loginFailed = await((XF.Common.Services.Auth.XFAuthProvider)AuthenticationStateProvider).SignIn(_model.UserName, _model.Password);
            if (loginFailed)
            {
                NavigationManager.NavigateTo("/");
                return;
            }
            else
            {
                Message.Error("账号密码错误", 2);
            }
        }  
    }
}