﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace XF.Common.Server.Core.VM.GasStation
{


    public class SiteSaveVm
    {
        /// <summary>
        /// 集团名称
        /// </summary>
        [Required, DisplayName("集团名称")]
        public string ParentName { get; set; }

        /// <summary>
        /// 油站名称
        /// </summary>
        [Required, DisplayName("油站名称")]
        public string SiteName { get; set; }

        /// <summary>
        /// 短信数量
        /// </summary>
        [Required, DisplayName("短信数量")]
        public int MessageCount { get; set; }

        /// <summary>
        /// 短信通知
        /// </summary>
        [Required, DisplayName("短信通知")]
        public bool Message { get; set; }


        /// <summary>
        /// 油品列表
        /// </summary>
        ///[Required, DisplayName("油品列表")]
        //public IEnumerable<Product> Products { get; set; }

        /// <summary>
        ///  基础数据
        /// </summary>
        [Required, DisplayName("基础商品数据")]
        public bool BaseProduct { get; set; }

        /// <summary>
        /// 账户
        /// </summary>
        [Required, DisplayName("账户")]
        public string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [Required, DisplayName("密码")]
        [DataType(DataType.Password)]
        public string Pwd { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [Required, DisplayName("联系电话")]
        public string Phone { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [Required, DisplayName("地址")]
        public string Address { get; set; }

        /// <summary>
        /// 坐标
        /// </summary>
        [Required, DisplayName("坐标")]
        public string Coord { get; set; }

        public List<string> CheckBox { get; set; }



    }

}
