﻿using Microsoft.AspNetCore.Authentication;
using Microsoft.EntityFrameworkCore;

namespace XF.Common.Repositories.Mysql
{
    public abstract class AccountDbBaseContext<TContext> : BaseDbContext where TContext : DbContext
    {
        public AccountDbBaseContext(DbContextOptions<TContext> options, DbConfig config) : base(options, config)
        {
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
        }
    }


    public abstract class BaseDbContext : DbContext
    {
        protected DbConfig Configuration { get; set; }

        protected BaseDbContext(DbContextOptions options, DbConfig config) : base(options)
        {

            Configuration = config;
            this.Database.SetCommandTimeout(120);
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            foreach (var entity in modelBuilder.Model.GetEntityTypes())
            {
                //entity.Relational().TableName = Configuration.Prefix + entity.Relational().TableName;
                entity.SetTableName(Configuration.Prefix + entity.GetTableName());
            }

        }
    }
}
