﻿using Microsoft.EntityFrameworkCore;
using XF.Common.Core.Model;
using XF.Common.Repositories.Mysql;


namespace ThaiOK.Inventory.Context
{
    public abstract class AccountingDbContext<TContext> : AccountDbBaseContext<TContext> where TContext : DbContext
    {
        public AccountingDbContext(DbContextOptions<TContext> options, AccountingDbConfig config) : base(options, config)
        {
        }

        public DbSet<Business_unit_info> Sites { get; set; }

        //public DbSet<User> Users { get; set; }



        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            modelBuilder.Entity<Business_unit_info>(e =>
            {
                //e.Property(p => p.Options).HasConversion(
                //        v => v.ToJson(),
                //        v => v.ToObject<User.OptionField>()
                //    );
            });


            //modelBuilder.Entity<Site>(e =>
            //{
            //    e.Property(p => p.Options).HasConversion(
            //            v => v.ToJson(),
            //            v => v.ToObject<Site.OptionField>()
            //        );
            //});


            //SeedData(modelBuilder);
        }

      
    }

    public class AccountingDbMasterDbContext : AccountingDbContext<AccountingDbMasterDbContext>
    {
        public AccountingDbMasterDbContext(DbContextOptions<AccountingDbMasterDbContext> options, AccountingDbConfig config) : base(options, config) { }

    }

    public class AccountingDbContextSlaveDbContext : AccountingDbContext<AccountingDbContextSlaveDbContext>
    {
        public AccountingDbContextSlaveDbContext(DbContextOptions<AccountingDbContextSlaveDbContext> options, AccountingDbConfig config) : base(options, config) { }

    }

}
