﻿using Microsoft.EntityFrameworkCore;

namespace ThaiOK.Inventory.Context
{
    public interface IBaseDbRepository
    {
        DbContext MasterDb { get; }

        DbContext SlaveDb { get; }
    }
    public interface IAccountingDbRepository : IBaseDbRepository
    {
    }

    public class AccountingDbRepository : IAccountingDbRepository
    {
        public AccountingDbRepository(AccountingDbMasterDbContext masterDbContext, AccountingDbContextSlaveDbContext slaveDbContext) {
            MasterDb = masterDbContext;
            SlaveDb = slaveDbContext;
        }

        public DbContext MasterDb { get; }

        public DbContext SlaveDb { get; }

    }
}
