﻿namespace XF.Common.Repositories.Mysql
{
    public class DbConfig : IDbConfig
    {
        public string[] Master { get; set; }

        public string[] Slave { get; set; }

        public string Prefix { get; set; }

        public bool GenerateTestData { get; set; } = false;

        /// <summary>
        /// 随机取一个主库连接
        /// </summary>
        /// <returns></returns>
        public string NextMaster()
        {
            if (Master == null || Master.Length == 0)
                throw new Exception("未配置主库数据连接");

            if (Master.Length == 1)
                return Master[0];

            int i = DateTime.Now.Millisecond % Master.Length;

            return Master[i];
        }

        /// <summary>
        /// 随机取一个从库连接
        /// </summary>
        /// <returns></returns>
        public string NextSlave()
        {
            if (Slave == null || Slave.Length == 0)
            {
                return NextMaster();
            }

            if (Slave.Length == 1)
                return Slave[0];

            int i = DateTime.Now.Millisecond % Slave.Length;

            return Slave[i];
        }
    }
}