﻿
using Microsoft.AspNetCore.Components.Authorization;
using System.Security.Claims;
using XF.Common.Core.Options;

namespace XF.Common.Services.Auth
{
    public class XFAuthProvider : AuthenticationStateProvider
    {
        private ClaimsIdentity identity = new ClaimsIdentity();

        /// <summary>
        /// 登陆操作
        /// 后续接入账户
        /// </summary>
        /// <param name="username"></param>
        /// <param name="password"></param>
        /// <returns></returns>
        public async Task<bool> SignIn(string username, string password)
        {
            if (username == LoginOption.User && password == LoginOption.Password)
            {
                // 用户认证成功，创建用户的ClaimsIdentity
                var claims = new[] { new Claim(ClaimTypes.Name, username) };
                identity = new ClaimsIdentity(claims, " XF_Server");
                NotifyAuthenticationStateChanged(GetAuthenticationStateAsync());
                return true;
            }
            else
            {
                // 用户认证失败
                return false;
            }
        }
        public override Task<AuthenticationState> GetAuthenticationStateAsync()
        {
            var user = new ClaimsPrincipal(identity);
            return Task.FromResult(new AuthenticationState(user));
        }
    }
}
