﻿using XF.Common.Core;
using XF.Common.Server.Core.Server;
using ServiceLifetime = XF.Common.Core.ServiceLifetime;
using XF.Common.Server.Core.Repositories;
using XF.Common.Core.Server;
using XF.Common.Core.Model.FCC;
using XF.Common.Server.Repositories.SQLLite.FCCDB;
using XF.Common.Server.Core.VM.GasStation;
using XF.Common.Server.Repositories.Mysql.AccountDB;
using XF.Common.Map;

namespace XF.Common.Server.Services
{
	[ServiceDescription(typeof(IFccInfoServer), ServiceLifetime.Scoped)]
	public class FccInfoServer: IFccInfoServer
	{
		IFccInfoRepository _FccInfoRepository;
		public FccInfoServer(IFccInfoRepository fccInfoRepository)
		{
			_FccInfoRepository = fccInfoRepository;
		}



		public async Task<List<FCCInfo>> getFccInfos()
		{
			try
			{

				var data = await _FccInfoRepository.GetListAsync();
				return data;
			}
			catch (Exception n)
			{
				throw;
			}
		}

		public async Task<FCCInfo> getFccInfosById(string id)
		{
			var list = await _FccInfoRepository.GetListAsync(k => k.buid == id);
			
			return list.Count > 0 ?list[0]:null;
		}

		public async Task<bool> AddFccInfo(FCCInfo info)
		{
			var rtn = await _FccInfoRepository.InsertAsync(info);
			return rtn;
		}

		public async Task<bool> UpdateFccInfo(FCCInfo info)
		{
			var rtn = await _FccInfoRepository.UpdateAsync(info);
			return rtn;
		}

	}
}
