﻿using System;
using XF.Common.Core;
using XF.Common.Core.Server;
using XF.Common.Map;
using XF.Common.Repositories;
using XF.Common.Server.Core.Repositories;
using XF.Common.Server.Core.VM.GasStation;
using XF.Common.Server.Repositories.Mysql.AccountDB;
using ServiceLifetime = XF.Common.Core.ServiceLifetime;

namespace XF.Common.Server
{
    /// <summary>
    /// 站点业务模块
    /// </summary>
    [ServiceDescription(typeof(ISiteServer), ServiceLifetime.Scoped)]
    public class SiteServer : ISiteServer
    {

        public IBusiness_unit_infoReponse _Business_unit_infoReponse;
        public SiteServer(IBusiness_unit_infoReponse Business_unit_infoReponse)
        {
            _Business_unit_infoReponse = Business_unit_infoReponse;
        }

        /// <summary>
        /// 获取父级BU参数
        /// </summary>
        /// <returns></returns>
        public async Task<IEnumerable<SiteListVm>> GetParentBUData()
        {
            var list = await _Business_unit_infoReponse.GetListAsync(k => true);
            return list.Where(l => l.Bu_Name.Contains("集团")).Select(P => new SiteListVm()
            {
                Business_unit_info_id = P.business_unit_info_id,
                Parent_bu_id = P.parent_bu_id,
                Bu_Name = P.Bu_Name
            });

        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="buid"></param>
        /// <returns></returns>
        /// <exception cref="NotImplementedException"></exception>
        public async Task<IEnumerable<SiteListVm>> GetStie(string buid)
        {
            var list = await _Business_unit_infoReponse.GetListAsync(k => k.business_unit_info_id == buid);
            return list.ToDTOList<SiteListVm>();
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="parBuid"></param>
        /// <returns></returns>
        /// <exception cref="NotImplementedException"></exception>
        public async Task<IEnumerable<SiteListVm>> GetStieByParBuid(string parBuid)
        {
            var list = await _Business_unit_infoReponse.GetListAsync(k => k.parent_bu_id == parBuid);
            return list.ToDTOList<SiteListVm>();
        }


        /// <summary>
        /// 
        /// </summary>
        /// <param name="Model"></param>
        /// <returns></returns>
        /// <exception cref="NotImplementedException"></exception>
        public async Task<bool> SaveSite(SiteSaveVm Model)
        {
            var objects = await GetParentBUData();
            return true;
        }


        /// <summary>
        ///  查询油站信息
        /// </summary>
        /// <param name="Model"></param>
        /// <returns></returns>
        /// <exception cref="NotImplementedException"></exception>
        public async Task<SiteSaveVm> SiteInfos(SiteSaveVm Model)
        {
            var objects = await GetParentBUData();
            return null;
        }
    }
}
