﻿using XF.Common.Core;
using XF.Common.Core.VM;
using ServiceLifetime = XF.Common.Core.ServiceLifetime;

namespace XF.Common.Services
{
    public interface IAccountService
    {
        Task LoginAsync(LoginParamsType model);
        Task<string> GetCaptchaAsync(string modile);
    }

    [ServiceDescription(typeof(IAccountService), ServiceLifetime.Scoped)]
    public class AccountService : IAccountService
    {
        private readonly Random _random = new Random();

        public Task LoginAsync(LoginParamsType model)
        {
            // todo: login logic
            return Task.CompletedTask;
        }

        public Task<string> GetCaptchaAsync(string modile)
        {
            var captcha = _random.Next(0, 9999).ToString().PadLeft(4, '0');
            return Task.FromResult(captcha);
        }
    }
}